text VTs are unavailable on desktop after upgrade to Ubuntu 17.10

Bug #1724911 reported by Steve Langasek on 2017-10-19
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Joseph Salisbury
Artful
High
Joseph Salisbury

Bug Description

== SRU Justification ==
After upgrading my laptop to Ubuntu 17.10, I am unable to access gettys on any of the text-mode VTs on my system.

gdm3 is running on VT1, my user session is running on VT2. I can switch between these. If I switch to VT3, I know that the VT switch has happened in the kernel because the X cursor disappears; but the display retains the output of my X session, and the text console with getty never appears.

Switching back to VT2 works fine.

The same problem occurs with either Wayland or X.

My laptop is docked with an external monitor, which could be a factor. (I also notice that during boot, plymouth is only rendered on the internal monitor, not the external monitor; this may be related). I have not yet tested whether this problem is reproducible if I undock.

The system is booting with vt.handoff=7, which I believe is still the default in Ubuntu 17.10.

This bug is a regression in Artful introduced by mainline commit:
7581d5ca2bb ("drm/i915/fbdev: Check for existence of ifbdev->vma before operations").

It was first found that this bug was fixed in v4.14-rc1. However, after a lengthy
"Reverse" bisect, the exact commit could not be identified. This is because the
fix came in via a merge base. A regular bisect was then done to identify commit
7581d5ca2bb as the offending commit that introduced the bug. Using the file
that this commit touched, a "Reverse" bisect was done again between
7581d5ca2bb..v4.14-rc1. This identified the following commit 88be58be886f as
the fix to this regression.

== Fix ==
commit 88be58be886f1215cc73dc8c273c985eecd7385c
Author: Daniel Vetter <email address hidden>
Date: Thu Jul 6 15:00:19 2017 +0200

    drm/i915/fbdev: Always forward hotplug events

== Regression Potential ==
This patch fixes a current regression and is a minor one-liner.

== Test Case ==
A test kernel was built with this patch and tested by the original bug reporter.
The bug reporter states the test kernel resolved the bug.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: linux-image-4.13.0-16-generic 4.13.0-16.19
ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
Uname: Linux 4.13.0-16-generic x86_64
NonfreeKernelModules: zfs zunicode zavl zcommon znvpair
ApportVersion: 2.20.7-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: vorlon 24080 F.... pulseaudio
 /dev/snd/controlC0: vorlon 24080 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Thu Oct 19 09:57:59 2017
HibernationDevice: RESUME=UUID=6df76279-19ea-45a4-bec9-e4fdc858729a
InstallationDate: Installed on 2010-09-24 (2582 days ago)
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
MachineType: LENOVO 2306CTO
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.13.0-16-generic.efi.signed root=/dev/mapper/hostname-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.13.0-16-generic N/A
 linux-backports-modules-4.13.0-16-generic N/A
 linux-firmware 1.169
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: Upgraded to artful on 2017-10-19 (0 days ago)
dmi.bios.date: 10/25/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: G2ET97WW (2.57 )
dmi.board.asset.tag: Not Available
dmi.board.name: 2306CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrG2ET97WW(2.57):bd10/25/2013:svnLENOVO:pn2306CTO:pvrThinkPadX230:rvnLENOVO:rn2306CTO:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.family: ThinkPad X230
dmi.product.name: 2306CTO
dmi.product.version: ThinkPad X230
dmi.sys.vendor: LENOVO

Steve Langasek (vorlon) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Steve Langasek (vorlon) wrote :

The problem is reproducible if I boot with vt.handoff disabled.

It may be worth mentioning that this system has full-disk encryption, therefore plymouthd is started from the initramfs, not from the root disk.

Steve Langasek (vorlon) wrote :

If I boot without the external monitor attached, my text VTs come up correctly.

They continue to be available if I then dock the laptop.

Steve Langasek (vorlon) on 2017-10-20
Changed in linux (Ubuntu):
importance: Undecided → High
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.14 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14-rc5

tags: added: kernel-da-key
Steve Langasek (vorlon) wrote :

I have confirmed that this issue is reproducible with the 4.13.4-041304-generic mainline build, corresponding to 4.13.0-16.

Will test 4.14-rc5 now.

Steve Langasek (vorlon) wrote :

With 4.14-rc5, the bug *is* fixed. Booted with external monitor, with vt.handoff=1 set, with plymouth started from the initramfs, and with wayland configured instead of X. My VTs work.

Let the bisect begin.

tags: added: kernel-fixed-upstream
Steve Langasek (vorlon) wrote :

(I mean vt.handoff=7)

Steve Langasek (vorlon) wrote :

4.14rc1 works.

Steve Langasek (vorlon) wrote :

4.13.8 doesn't work.

Joseph Salisbury (jsalisbury) wrote :

We can't bisect between 4.13.8 and 4.14-rc1 because they are not linear versions. The bug could have been introduced by a 4.13 stable update.

Can you confirm 4.13 final does have the bug? If it does, I'll start a reverse bisect between 3.13 final and 4.14-rc1.

4.13 final is available from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.13/

Changed in linux (Ubuntu Artful):
status: Confirmed → In Progress
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

I started a "Reverse" kernel bisect between v4.13 final and v4.14-rc1. The kernel bisect will require testing of about 7-10 test kernels.

I built the first test kernel, up to the following commit:
aae3dbb4776e7916b6cd442d00159bea27a695c1

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1724911

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Steve Langasek (vorlon) wrote :

v4.13 also confirmed bad.

Steve Langasek (vorlon) wrote :

aae3dbb4776e7916b6cd442d00159bea27a695c1 is good.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
bf1d6b2c76eda86159519bf5c427b1fa8f51f733

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1724911

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Steve Langasek (vorlon) wrote :

bf1d6b2c76eda86159519bf5c427b1fa8f51f733 is good.

Steve Langasek (vorlon) wrote :

edc2988c548db05e33b921fed15821010bc74895 is bad, though the symptoms are different. (no output on the external monitor from plymouth; plymouth itself seems to crash and the VT is in text mode, so text input results in characters being shown in the upper lefthand corner over the plymouth background; since plymouth isn't accepting input, I'm not able to boot all the way to userspace and check whether the text VTs are accessible after X or wayland has started, since with plymouth broken the root disk does not unlock.)

Steve Langasek (vorlon) wrote :

04759194dc447ff0b9ef35bc641ce3bb076c2930 is bad; same symptoms as edc2988c548db05e33b921fed15821010bc74895.

Steve Langasek (vorlon) wrote :

a7093ba162d942e29ae27a64f8432db65f7f21ab is bad; same symptoms as 04759194dc447ff0b9ef35bc641ce3bb076c2930 and edc2988c548db05e33b921fed15821010bc74895.

Steve Langasek (vorlon) wrote :

1a3b85ea36d38d5732fdd86b321b10bcaeb53512 is bad (idem.)

Steve Langasek (vorlon) wrote :

f1f537c2e7f565a808623d3244ea73a65839240e is bad (idem.)

Steve Langasek (vorlon) wrote :

8162ae5c47977c3f13910b5c1718081d30e8a65a is bad.

Steve Langasek (vorlon) wrote :

11b86a84bc535a602fcf72ba6b3aa4eaa748764f is bad.

Steve Langasek (vorlon) wrote :

2ce8008711e4837c11e99a94df55406085d0d098 is bad.

Steve Langasek (vorlon) wrote :

31cb9a8575ca04f47ea113434d4782b695638b62 is bad (now back to the original symptoms: input works in plymouth, no external monitor output from plymouth, text VTs don't render).

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
3840ed9548f778717aaab5eab744da798c3ea055

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1724911

Steve Langasek (vorlon) wrote :

3840ed9548f778717aaab5eab744da798c3ea055 is bad.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
9ea859b11b251df57df5bb9fc146ac014b31071c

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1724911

Steve Langasek (vorlon) wrote :

9ea859b11b251df57df5bb9fc146ac014b31071c bad. (One behavior difference: text VTs now give no video signal at all, instead of leaving the graphics on screen. Still counts as bad.)

Steve Langasek (vorlon) wrote :

28eb51f7468a43769bd9dca19a54d97ec7a447ed bad.

Steve Langasek (vorlon) wrote :

e63a94f12b5fc67b2b92a89d4058e7a9021e900e is good.

Joseph Salisbury (jsalisbury) wrote :

I started a new "Reverse" bisect of just the merge using:

# good: [1a3b85ea36d38d5732fdd86b321b10bcaeb53512] Merge tag 'usb-4.14-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/usb

# bad: [3840ed9548f778717aaab5eab744da798c3ea055] tty: goldfish: Implement support for kernel 'earlycon' parameter

I built the first test kernel, up to the following commit:
ef954844c7ace62f773f4f23e28d2d915adc419f

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1724911

Steve Langasek (vorlon) wrote :

ef954844c7ace62f773f4f23e28d2d915adc419f bad.

Steve Langasek (vorlon) wrote :

ec085c5a51b768947ca481f90b66653e36b3c566 bad.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
cdb939456f81878cda1f31ba0ef1a3b1d7be07e8

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1724911

Steve Langasek (vorlon) wrote :

cdb939456f81878cda1f31ba0ef1a3b1d7be07e8 is bad.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
2ce8008711e4837c11e99a94df55406085d0d098

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1724911

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
d01c3289e7d68162e32bc08c2b65dd1a216a7ef8

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1724911

Steve Langasek (vorlon) wrote :

2ce8008711e4837c11e99a94df55406085d0d098 bad

Steve Langasek (vorlon) wrote :

d01c3289e7d68162e32bc08c2b65dd1a216a7ef8 bad

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
ae28d7402a7e7cf3dd0da1f2eb6a52b337873e08

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1724911

Steve Langasek (vorlon) wrote :

ae28d7402a7e7cf3dd0da1f2eb6a52b337873e08 bad

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
7157d2be23da9f8860c69e2b79184a4e02701dad

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1724911

Joseph Salisbury (jsalisbury) wrote :

I also built a test kernel up to commit 3840ed9 again. This kernel should fix the bug since it's the last commit added by by the merge base:

commit e63a94f12b5fc67b2b92a89d4058e7a9021e900e
tree 9fddf35df3289bd41c2310937bf2faed4d036603
parent 1a3b85ea36d38d5732fdd86b321b10bcaeb53512
parent 3840ed9548f778717aaab5eab744da798c3ea055
author Linus Torvalds <email address hidden> 1504632648 -0700
committer Linus Torvalds <email address hidden> 1504632648 -0700
mergetag object 3840ed9548f778717aaab5eab744da798c3ea055
 type commit
 tag tty-4.14-rc1
 tagger Greg Kroah-Hartman <email address hidden> 1504542898 +0200

 TTY/Serial updates for 4.14-rc1

The merge has commit 1a3b85ea as the first parent and commit 3840ed9 as the second parent, so all the commits added by the merge should be between these two commits.

git describe --contains 1a3b85e
v4.14-rc1~150

git describe --contains 3840ed9
v4.14-rc1~149^2

And the merge:
git describe --contains e63a94f
v4.14-rc1~149

If a test kernel up to commit e63a94f fixes the bug, then a test kernel up to commit 3840ed9 should as well. If it does not, then I'll have to dig much deeper.

Commit e63a94f is a child of commit 3840ed9:

commit 3840ed9548f778717aaab5eab744da798c3ea055
Author: Miodrag Dinic <email address hidden> 2017-08-29 09:53:20
Committer: Greg Kroah-Hartman <email address hidden> 2017-08-31 12:58:45
Parent: 7157d2be23da9f8860c69e2b79184a4e02701dad (tty: goldfish: Use streaming DMA for r/w operations on Ranchu platforms)
Child: e63a94f12b5fc67b2b92a89d4058e7a9021e900e (Merge tag 'tty-4.14-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/tty)
Branches: master, remotes/next/akpm, remotes/next/akpm-base, remotes/next/master, remotes/next/stable, remotes/origin/master
Follows: v4.13-rc5
Precedes: v4.14-rc1

    tty: goldfish: Implement support for kernel 'earlycon' parameter

Test kernels can be found at:

3840ed9: http://kernel.ubuntu.com/~jsalisbury/lp1724911/3840ed9/
e63a94f: http://kernel.ubuntu.com/~jsalisbury/lp1724911/e63a94f/

7157d2b: http://kernel.ubuntu.com/~jsalisbury/lp1724911/7157d2b/

Steve Langasek (vorlon) wrote :

7157d2be23da9f8860c69e2b79184a4e02701dad is bad.

Steve Langasek (vorlon) wrote :

3840ed9548f778717aaab5eab744da798c3ea055 is bad.

Steve Langasek (vorlon) wrote :

and e63a94f12b5fc67b2b92a89d4058e7a9021e900e is confirmed good. So it's not just a question of me having screwed up the testing / reporting of that commit previously.

Joseph Salisbury (jsalisbury) wrote :

Thanks for the testing, Steve. I'll look in to this further.

tags: added: kernel-key
removed: kernel-da-key
Joseph Salisbury (jsalisbury) wrote :

Per your IRC posting, I restarted a reverse bisect using e63a94f12b5fc67b2b92a89d4058e7a9021e900e .. 1a3b85ea36d38d5732fdd86b321b10bcaeb53512.

The first SHA1 requested was ec085c5a51b768947ca481f90b66653e36b3c566. I re-used all of your testing results from the bug comments and ended up with the same results again.

Steve Langasek (vorlon) wrote :

ec085c5a51b768947ca481f90b66653e36b3c566 (rebased) is bad.

Steve Langasek (vorlon) wrote :

cdb939456f81878cda1f31ba0ef1a3b1d7be07e8 (rebased) is bad.

Steve Langasek (vorlon) wrote :

2ce8008711e4837c11e99a94df55406085d0d098 (rebased) is bad.

Steve Langasek (vorlon) wrote :

d01c3289e7d68162e32bc08c2b65dd1a216a7ef8 (rebased) is bad.

Steve Langasek (vorlon) wrote :

ae28d7402a7e7cf3dd0da1f2eb6a52b337873e08 (rebased) is bad.

Steve Langasek (vorlon) wrote :

7157d2be23da9f8860c69e2b79184a4e02701dad (rebased) is bad. Considering there is nothing left in the diff between the rebased 7157d2be23da9f8860c69e2b79184a4e02701dad and e63a94f12b5fc67b2b92a89d4058e7a9021e900e which tested good, this is starting to look like the difference is something other than the tree. Toolchain? kernel config options?

Steve Langasek (vorlon) wrote :

(when I say "nothing left", I meant "nothing left of interest")

Steve Langasek (vorlon) wrote :

3840ed9548f778717aaab5eab744da798c3ea055 (rebased), whose content is equivalent to e63a94f12b5fc67b2b92a89d4058e7a9021e900e, also now fails.

So whatever is different here between the working and failing builds has to do with more than just the git content.

Joe, can you give me a step-by-step guide for how you prepare each build from git during the bisect? I've definitely missed something in my builds, because I've just looked at my initrd for the latest build and find that it's missing the i915.ko module... and that this module isn't even included in the linux-image-4.13.0-041300-generic package. So all of the test results from kernels I built are certainly suspect.

Steve Langasek (vorlon) wrote :

Just found out that i915.ko is winding up in linux-image-extra. That didn't match my understanding of extras, so I haven't been installing that package... time to go back to the beginning.

Steve Langasek (vorlon) wrote :

edc2988c548db05e33b921fed15821010bc74895 is the next kernel I will be retesting, from the original v4.13..v4.14rc1 bisect. That's the first point at which I saw symptoms at boot matching what I saw with the most recent kernel for which I definitely was missing the i915.ko module.

Steve Langasek (vorlon) wrote :

edc2988c548db05e33b921fed15821010bc74895 is good.

Steve Langasek (vorlon) wrote :

e5fa05b96b02f45a91a364d2121451a4da05cd84 is good.

Steve Langasek (vorlon) wrote :

b9c55b6e2cc4369b0688961fa5de0e057f3ec0c4 is good.

Steve Langasek (vorlon) wrote :

9f15a4ab19ab33658dbc9fd37be5210e8c1ac622 is good.

Steve Langasek (vorlon) wrote :

e6090cc9be15f8e3a5e736d427186e39fea7cceb is good.

tags: added: kernel-da-key
removed: kernel-key
Steve Langasek (vorlon) wrote :

2bf5ccc25c5bc3c8eaf30c589f7d3a5e7490d3b9 is good.

Steve Langasek (vorlon) wrote :

22a884cfe5a49b6fd63f10ff137906028b4cf923 is good.

Steve Langasek (vorlon) wrote :

bb2eaba6458ace16f7e3504de8788374cb42b43d is good.

Steve Langasek (vorlon) wrote :

b6dcaaac44746cf32ee489639b06d3668e473386 is good.

Steve Langasek (vorlon) wrote :

00a9121b8698ddf7fcb18e107405afacc35f748a is good.

Steve Langasek (vorlon) wrote :

fc5e9d63a8db40e9e3a3b180be33d44af8a3cee8 is good.

Joseph Salisbury (jsalisbury) wrote :

An Artful test kernel with a pick of commit fc5e9d63a8db is posted to:
http://kernel.ubuntu.com/~jsalisbury/lp1724911

Steve Langasek (vorlon) wrote :

the 4.13.0-16-generic plus fc5e9d63a8db does not fix it.

Steve Langasek (vorlon) wrote :

4.13.4 + fc5e9d63a8db doesn't work; git bisect shows no other commits between v4.13 and fc5e9d63a8db. Now trying a regular bisect between these two revisions instead of a reverse bisect.

34c8ea400ff6 is good.

Steve Langasek (vorlon) wrote :

8c27cb3566762613a23c080e3db7d0501af9a787 is good.

Steve Langasek (vorlon) wrote :

af3c8d98508d is good.

Steve Langasek (vorlon) wrote :

96080f697786e0a30006fcbcc5b53f350fcb3e9f is bad.

Steve Langasek (vorlon) wrote :

6735a1971a00a29a96aa3ea5dc08912bfee95c51 is bad.

Steve Langasek (vorlon) wrote :

58c7ffc0747a3a9145629d4966291f0586703767 is good.

Steve Langasek (vorlon) wrote :

311ac00deff520820d198cda141109f2a5655d4a is bad.

Steve Langasek (vorlon) wrote :

fb4e3beeffa47619985f190663c6ef424f063a22 is good.

Steve Langasek (vorlon) wrote :

bd664f6b3e376a8ef4990f87d08271cc2d01ba9a is good.

Steve Langasek (vorlon) wrote :

4ca6df134847a6349620b485a3e63f00fb3bfad8 is good.

Steve Langasek (vorlon) wrote :

eafbc20701243d21989c9c9aff5e5d9488e1890a is bad.

Steve Langasek (vorlon) wrote :

4ec654bf3a63d503e3c5336eade5c369ae17db56 is good.

Steve Langasek (vorlon) wrote :

0de98709896d9c02ce3121ec3afb524253a5853f is bad.

Steve Langasek (vorlon) wrote :

c379b897ba1a7f786419e8c36a3438ce856f016a is good.

Steve Langasek (vorlon) wrote :

7581d5ca2bb269cfc2ce2d0cb489aac513167f6b is bad.

Steve Langasek (vorlon) wrote :

04941829b0049d2446c7042ab9686dd057d809a6 is good.

7581d5ca2bb269cfc2ce2d0cb489aac513167f6b is the first bad commit

Joseph Salisbury (jsalisbury) wrote :

Thanks for doing all this work, Steve!

I built an Artful test kernel with a revert of commit 7581d5ca2bb269cf. The test kernel can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1724911

I'll also take a look at commits in 4.14-rc1 similar to this one, and see if the fix sticks right out.

Steve Langasek (vorlon) wrote :

Hi Joe,
The fix in 4.14 that's missing from 4.13.4 is 88be58be886f1215cc73dc8c273c985eecd7385c. Can you cherry-pick this into the next bionic upload? (Assuming it's not already there by now due to the time elapsed since we started bisecting ;)

Steve Langasek (vorlon) wrote :

and when I say next bionic upload, I mean next artful upload.

description: updated
Changed in linux (Ubuntu Artful):
status: In Progress → Fix Committed
Stefan Bader (smb) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-artful' to 'verification-done-artful'. If the problem still exists, change the tag 'verification-needed-artful' to 'verification-failed-artful'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-artful
Steve Langasek (vorlon) wrote :

$ uname -a
Linux virgil 4.13.0-38-generic #43-Ubuntu SMP Wed Mar 14 15:20:44 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
$

Booted with my external monitor plugged in, and Ctrl-Alt-F2 still gets me to a VT.

tags: added: verification-done-artful
removed: verification-needed-artful
Launchpad Janitor (janitor) wrote :
Download full text (18.9 KiB)

This bug was fixed in the package linux - 4.13.0-38.43

---------------
linux (4.13.0-38.43) artful; urgency=medium

  * linux: 4.13.0-38.43 -proposed tracker (LP: #1755762)

  * Servers going OOM after updating kernel from 4.10 to 4.13 (LP: #1748408)
    - i40e: Fix memory leak related filter programming status
    - i40e: Add programming descriptors to cleaned_count

  * [SRU] Lenovo E41 Mic mute hotkey is not responding (LP: #1753347)
    - platform/x86: ideapad-laptop: Increase timeout to wait for EC answer

  * fails to dump with latest kpti fixes (LP: #1750021)
    - kdump: write correct address of mem_section into vmcoreinfo

  * headset mic can't be detected on two Dell machines (LP: #1748807)
    - ALSA: hda/realtek - Support headset mode for ALC215/ALC285/ALC289
    - ALSA: hda - Fix headset mic detection problem for two Dell machines
    - ALSA: hda - Fix a wrong FIXUP for alc289 on Dell machines

  * CIFS SMB2/SMB3 does not work for domain based DFS (LP: #1747572)
    - CIFS: make IPC a regular tcon
    - CIFS: use tcon_ipc instead of use_ipc parameter of SMB2_ioctl
    - CIFS: dump IPC tcon in debug proc file

  * i2c-thunderx: erroneous error message "unhandled state: 0" (LP: #1754076)
    - i2c: octeon: Prevent error message on bus error

  * hisi_sas: Add disk LED support (LP: #1752695)
    - scsi: hisi_sas: directly attached disk LED feature for v2 hw

  * EDAC, sb_edac: Backport 1 patch to Ubuntu 17.10 (Fix missing DIMM sysfs
    entries with KNL SNC2/SNC4 mode) (LP: #1743856)
    - EDAC, sb_edac: Fix missing DIMM sysfs entries with KNL SNC2/SNC4 mode

  * [regression] Colour banding and artefacts appear system-wide on an Asus
    Zenbook UX303LA with Intel HD 4400 graphics (LP: #1749420)
    - drm/edid: Add 6 bpc quirk for CPT panel in Asus UX303LA

  * DVB Card with SAA7146 chipset not working (LP: #1742316)
    - vmalloc: fix __GFP_HIGHMEM usage for vmalloc_32 on 32b systems

  * [Asus UX360UA] battery status in unity-panel is not changing when battery is
    being charged (LP: #1661876) // AC adapter status not detected on Asus
    ZenBook UX410UAK (LP: #1745032)
    - ACPI / battery: Add quirk for Asus UX360UA and UX410UAK

  * ASUS UX305LA - Battery state not detected correctly (LP: #1482390)
    - ACPI / battery: Add quirk for Asus GL502VSK and UX305LA

  * support thunderx2 vendor pmu events (LP: #1747523)
    - perf pmu: Extract function to get JSON alias map
    - perf pmu: Pass pmu as a parameter to get_cpuid_str()
    - perf tools arm64: Add support for get_cpuid_str function.
    - perf pmu: Add helper function is_pmu_core to detect PMU CORE devices
    - perf vendor events arm64: Add ThunderX2 implementation defined pmu core
      events
    - perf pmu: Add check for valid cpuid in perf_pmu__find_map()

  * lpfc.ko module doesn't work (LP: #1746970)
    - scsi: lpfc: Fix loop mode target discovery

  * Ubuntu 17.10 crashes on vmalloc.c (LP: #1739498)
    - powerpc/mm/book3s64: Make KERN_IO_START a variable
    - powerpc/mm/slb: Move comment next to the code it's referring to
    - powerpc/mm/hash64: Make vmalloc 56T on hash

  * ethtool -p fails to light NIC LED on HiSilicon D05 systems (LP: #1748567)
    - net...

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers